Package com.sas.lsaf.security.user

## Class LockedInfo

- java.lang.Object
- - com.sas.lsaf.security.user.LockedInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class LockedInfo
      extends java.lang.Object
      implements java.io.Serializable

  Account lock information detailing whether the user account is currently locked, by whom, and when.
  Since:
    1.2
  See Also:
    `User.getLockedInfo()`, `UserService.lockUser(String)`, `UserService.unlockUser(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LockedInfo​(boolean locked, java.lang.String lockedBy, java.util.Date lockedDate)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getLockedBy()` | Gets the identity of the person who locked this user account.
    `java.util.Date` | `getLockedDate()` | Gets the date the user account was locked.
    `int` | `hashCode()` |
    `boolean` | `isLocked()` | Gets the Boolean value that indicates whether the user account is locked.
    `void` | `setLocked​(boolean locked)` | Sets the Boolean value that indicates if the user account is locked.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockedInfo

          public LockedInfo​(boolean locked,
                            java.lang.String lockedBy,
                            java.util.Date lockedDate)

      Constructor.
      Parameters:
        `locked` - the Boolean value that indicates whether the user account is locked.
        `lockedBy` - the identity of the person who locked the user account.
        `lockedDate` - the date that the user account was locked.

  - ### Method Detail

    - #### isLocked

          public boolean isLocked()

      Gets the Boolean value that indicates whether the user account is locked.
      Returns:
        The Boolean value that indicates whether the user account is locked.

    - #### setLocked

          public void setLocked​(boolean locked)

      Sets the Boolean value that indicates if the user account is locked.
      Parameters:
        `locked` - The Boolean value that indicates if the user account is locked.

    - #### getLockedBy

          public java.lang.String getLockedBy()

      Gets the identity of the person who locked this user account.
      Returns:
        The identity of the person who locked this user account.

    - #### getLockedDate

          public java.util.Date getLockedDate()

      Gets the date the user account was locked.
      Returns:
        The date the user account was locked.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`